Application
Submit application
Submit a new or update an Application (Upsert), based on the partner-specific data schema. This API was created to model your company's business model.
For more info, visit the Pav2 Schema UI
This API can only be used on a schema that has been approved and is LIVE. If you would like to test a schema that is still in DRAFT, or just test validation on a LIVE schema, then call the DRY-RUN API. It's the same API setup; simply append "/dryrun" to the above URL path.
Endpoint: /api/v2/applications/{partner_schema_id}
Create or update an Application. The application_id is the identifier for this application.
POST
https://lendingsandbox.crbcos.com/preapproval/api/v2/applications/{partner_schema_id}
Path Parameters
- partner_schema_idstringrequiredDescription
Body Parameters
- application_idstringrequiredDescription
- applicationobjectrequiredDescription
Response
- entity_idstring
- created_atstring
- applicationobject
- application_idstring
- partner_schema_idstring
- rule_resultsobject
- itemsobject
- rule_idstring
- versionstring
- rule_namestring
- rule_descriptionstring
- statusstring
- datastring
- result_infostring
- statusstring
- rules_process_datestringDescription
- is_validboolean
curl
nodejs
python
ruby
go
200
OK400
Bad Request401
Unauthorized